<?
session_start();
include("../opendb.php");
include("../test.php");
$ordres=mysqli_query($db,"select max(orderno) from saleorder_sparetrfr where brcode='$brcode'");
$ordrow=mysqli_fetch_row($ordres);
$ordnumber=$ordrow[0]+1;

?>

<BASE TARGET=main22>
<link rel="stylesheet" href="../style.css" type="text/css" />
<style>
	tr{background-color:white}
	th{background-color:steelblue;color:white}
</style>
<?
$tbl="sparetmp1".$brcode.$user;
//include("calcsparestock.php");
?>

<script>
var pna=[];
var qty=[];
var hand=[];
var price=[];
var disc=[];

function validqty()
{
if(parseFloat(document.f1.qty.value)<parseFloat(document.f1.sqty.value))
{
alert('Insufficient Quantity');
document.f1.sqty.value=0;
document.f1.sqty.focus();
return;
}
}
function getname()
{
 if(document.f1.partcode.selectedIndex<=0)
 {
 document.f1.prtname.value="";
 document.f1.price.value="";
 document.f1.discount.value="";
 document.f1.hand.value="";
 }
 else{
 document.f1.prtname.value=pna[document.f1.partcode.selectedIndex];
 document.f1.price.value=price[document.f1.partcode.selectedIndex];
 document.f1.discount.value=disc[document.f1.partcode.selectedIndex];
 document.f1.hand.value=hand[document.f1.partcode.selectedIndex];
/* if(parseFloat(qty[document.f1.partcode.selectedIndex])>=0)
  document.f1.qty.value=qty[document.f1.partcode.selectedIndex];
 else
  document.f1.qty.value=0;
*/
 var act=parseFloat(document.f1.price.value)*parseFloat(document.f1.sqty.value);
 var act1=act*parseFloat(document.f1.discount.value)/100;

 document.f1.aprice.value=parseFloat(act-act1).toFixed(2);
 var act2=parseFloat(document.f1.aprice.value);
  var hnd=parseFloat(act2)*document.f1.hand.value/100;
  var cst=parseFloat(act2)*document.f1.cst.value/100;
  var gtot=parseFloat(act2+cst+hnd).toFixed(2);
  document.f1.tot.value=gtot;
 }
}
function valid()
{
 if(document.f1.partcode.selectedIndex<=0)
 {
  alert('Invalid Item code');
  return false;
 }
if(parseFloat(document.f1.sqty.value)<=0)
{
alert('Invalid Quantity');
document.f1.sqty.value=0;
document.f1.sqty.focus();
return false;
}
/*
var x=document.getElementById("mselect")
 document.f1.partcode1.value=x.options[x.selectedIndex].text
x.remove(x.selectedIndex)
*/
}
</script>
<body bgcolor='ivory'>
<center>
<form name='f1' action='invtemp4.php' onSubmit='return valid()'>
<input type=hidden name='partcode1'>
<table>
<th colspan=10><h3>SPARE INVOICE ORDER - (<?print $ordnumber?>)</h3></th>
<tr>
<td>Part Code</td><td><select name='partcode' id='mselect' onChange=getname();><option></option>
<?
$i=1;
$re=mysqli_query($db,"select * from partmaster order by partcode");
while($row=mysqli_fetch_array($re))
{
 print "<option value='$row[0]'>$row[0]</option>";
/*
$stkre=mysqli_query($db,"select * from $tbl where partcode='$row[0]'");
while($stkrow=mysqli_fetch_array($stkre))
{
 if($stkrow[supqty]>0)
  print "\n<script> qty[$i]='$stkrow[supqty]';</script>";
 else
  print "\n<script> qty[$i]='0';</script>";

}
*/
  $disres=mysqli_query($db,"select lstprice,discount from spareprmast where partcode='$row[0]' order by effectfrom desc")or die('errr'.mysqli_error($db));
   $disrow=mysqli_fetch_array($disres);
 print "<script>pna[$i]='$row[partname]'; price[$i]='$disrow[0]'; disc[$i]='0'; </script>";

$disres1=mysqli_query($db,"select hand_charge from partmaster where partcode='$row[0]'");
   $disrow1=mysqli_fetch_array($disres1);
print "<script>hand[$i]='$disrow1[0]';</script>";
 $i++;
}
?>
</select></td><td>Part Name </td><td COLSPAN=3><input type=text readonly  name='prtname' size=30></td></tr>
<tr><td>
<!-- Ex Qty</td><td><input type=text name='qty' size=6 readonly> -->
<td>
Order qty <input type=text name='sqty' size=6 onChange='getname()'></td>
  <td>Price </td><td><input type=text readonly name='price' size=10></td>
  <td>Disc% </td><td><input type=text  name='discount' size=6 onChange='getname()'> 
   Act Price <input type=text name='aprice' size=10>
</td></tr>
<tr><td>Hand Chrg%</td><td><input type=text readonly  name='hand' size=6></td>
<?
 $cstres=mysqli_query($db,"select tax from taxmaster where type='Local'");
  $cstrow=mysqli_fetch_row($cstres);
?>
<td>VAT%</td><td><input type=text name='cst'  readonly size=6 value='<?print $cstrow[0]?>'></td>
<td>Total</td><td><input type=text name='tot' readonly  size=16></td></tr>
<tr><td colspan=6 align=center bgcolor='steelblue'><input type=submit value='Add' name='add'></td></tr>
</table>
</form>







